LastModifiedFileComparator (Commons IO 2.5)
Date: 2016-12-01

org.apache.commons.io.comparator

## Class LastModifiedFileComparator

- java.lang.Object
- - org.apache.commons.io.comparator.AbstractFileComparator
  - - org.apache.commons.io.comparator.LastModifiedFileComparator

- All Implemented Interfaces:
    java.io.Serializable, java.util.Comparator<java.io.File>

      public class LastModifiedFileComparator
      extends AbstractFileComparator
      implements java.io.Serializable

  Compare the last modified date/time of two files for order (see `File.lastModified()`).

  This comparator can be used to sort lists or arrays of files by their last modified date/time.

  Example of sorting a list of files using the `LASTMODIFIED_COMPARATOR` singleton instance:

             List<File> list = ...
             ((AbstractFileComparator) LastModifiedFileComparator.LASTMODIFIED_COMPARATOR).sort(list);

  Example of doing a reverse sort of an array of files using the `LASTMODIFIED_REVERSE` singleton instance:

             File[] array = ...
             ((AbstractFileComparator) LastModifiedFileComparator.LASTMODIFIED_REVERSE).sort(array);

  Since:
    1.4
  Version:
    $Id: LastModifiedFileComparator.java 1642757 2014-12-01 21:09:30Z sebb $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Comparator<java.io.File>` | `LASTMODIFIED_COMPARATOR` Last modified comparator instance
    `static java.util.Comparator<java.io.File>` | `LASTMODIFIED_REVERSE` Reverse last modified comparator instance
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LastModifiedFileComparator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(java.io.File file1, java.io.File file2)` Compare the last the last modified date/time of two files.

    - ### Methods inherited from class org.apache.commons.io.comparator.AbstractFileComparator

      `sort, sort, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### LASTMODIFIED_COMPARATOR

          public static final java.util.Comparator<java.io.File> LASTMODIFIED_COMPARATOR

      Last modified comparator instance

    - #### LASTMODIFIED_REVERSE

          public static final java.util.Comparator<java.io.File> LASTMODIFIED_REVERSE

      Reverse last modified comparator instance

  - ### Constructor Detail

    - #### LastModifiedFileComparator

          public LastModifiedFileComparator()

  - ### Method Detail

    - #### compare

          public int compare(java.io.File file1,
                    java.io.File file2)

      Compare the last the last modified date/time of two files.
      Specified by:
        `compare` in interface `java.util.Comparator<java.io.File>`
      Parameters:
        `file1` - The first file to compare
        `file2` - The second file to compare
      Returns:
        a negative value if the first file's lastmodified date/time is less than the second, zero if the lastmodified date/time are the same and a positive value if the first files lastmodified date/time is greater than the second file.

Copyright (c) 2002-2016 Apache Software Foundation